.white-section{
    padding: 30px 30px;
    font-family: Montserrat,sans-serif;
    height: calc(100vh - 170px);
}
.whitlist{
    height: 100%;
}
.white-section .vertical-tabs button{
    text-align: left;
}
.gradient_button_whit{
    background: linear-gradient(104deg, #07d69e 23%, #3e48ff 100%);
    border: none;
    font-weight: 600;
}
.gradient_button_whit2 {
    border: none;
    font-weight: 600;
    font-size: 13px;
    background: linear-gradient(to bottom, #dbaf00 0%, #cb5f00 100%);
}
.whitlist h4{
    color: #F5C1FF !important;
    font-size: 18px;
    font-weight: 600;
    margin-right: 25px;
    margin-bottom: 0;
}
.whitlist .navbar-search input{
    height: 39px !important;
}
.whitlist .table-title {
    border-radius: 8px 8px 0 0;
}
table {
    border: 1px solid #524859 !important;
}
.whitlist-table {
    border-radius: 8px;
    color: #fff;
    /* background-color: rgb(0 0 0 / 15%); */
    height: 100%;
    border: none;
    min-height: 450px;
}
.whitlist .table-title{
    font-weight: 600;
    color: #FFE1D5;
}
.whitlist-table .c-4 button{
    padding: 6px 18px;
    font-size: 12px;
    font-weight: 500;
}

.whitlist .social-icon a {
    color: #FFE1D5;
    text-decoration: none;
    font-size: 15px;
}
.whitlist-table .table-title .c-2 {
    flex-basis: 186px;
}
.whitlist-table .table-warapper  .c-2 {
    flex-basis: 190px;
    text-overflow: ellipsis;
    overflow: hidden;
    display: block;
    white-space: nowrap;
}
.whitlist-table  .table-data {
    font-size: 14px;
}
.whitlist-table .c-8 {
    flex-basis: 118px;
}
.whitlist-table .complete_btn {
    background: linear-gradient(to bottom, #dbaf00 0%, #cb5f00 100%);
    padding: 6px 18px;
    font-size: 12px;
    font-weight: 500;
}
.accepted-btn{
    background: linear-gradient(to bottom, #4f92f7 0%, #4f5bf7 100%);
    padding: 6px 18px;
    font-size: 12px;
    font-weight: 500;
}
.whitlist-table .c-4 {
    flex-basis: 104px;
    text-align: left;
}
.whitlist .c-8 {
    justify-content: center;
}
.whitlist-contract,
.whitlist-setting{
    border-radius: 8px;
    padding: 25px;
    color: #fff;
    background-color: rgb(0 0 0 / 15%);

    border: 1px solid #ffe1d51f;
    /* min-height: 450px;
    height: 70vh; */
    position: relative;
    overflow-y: auto;
    height: calc(100vh - 290px);
}

.whitlist-contract .form-section button {
    position: absolute;
    /* top:30px !important; */
    right: 0;
    bottom: inherit !important;
    padding: 3px 14px;
    border-radius: 0 5px 5px 0;
    border: 0;
    font-size: 14px;
    font-weight: 600;
    padding: 10px 20px;
    color: #fff;
    background: linear-gradient(90deg, rgba(2,180,106,1) 0%, rgba(16,88,173,1) 73%);
    width: 20%;
    margin: 0;
}
.whitlist-contract input.error {
    height: 40px;
}
.whitlist-contract  .control-input{
    border-radius: 5px;

}
.whitlist .form-section{
    display: block;
    margin-top: 0;
}
.whitlist-contract .form-section img {
    position: absolute;
    right: 7px;
    bottom: 2px;
    padding: 5px 4px;
    border-radius: 5px;
    border: 0;
    font-size: 14px;
    color: #fff;
    width: 37px;
}
.whitlist-contract textarea.form-control {
    min-height: calc(6.5em + 1.75rem + 17px);
    background-color: #373049;
    border: none;
    border-radius: 8px;
    padding: 8px 15px;
    font-size: 14px;
    height: 50px;
    color: #fff;
    width: 100%;
}
.whitlist-contract .profile_submit{
    /* width: 95px; */
}

.whitlist .table-warapper{
    min-height: 371px;
}
.btn-s{
    position: absolute;
    bottom: 25px;
    right: 15px;
}
.whitlist-contract .cardCenter p {
    width: 100%;
}
.whitlist-contract  .control-box-wrapper {
    gap: 15px;
}
.whitelist-thumb-wrapper{
    display: flex;
    gap: 25px;
    align-items: flex-start;
    margin-bottom: 25px;
}
.whitelist-thumb img{
    opacity: 0.4;
}
.whitelist-thumb{

    display: flex;
    justify-content: start;
    gap: 15px;
    align-items: center;
    background-color: #00000012;
    border-radius: 8px;
    padding: 12px;
    font-size: 14px;
    color: #AEAEAE;
    border: 2px solid #33293c58;
    flex-basis: 18em;

}
.whitelist-thumb.red_minting, .whitelist-thumb.green_minting, .whitelist-thumb.orange_minting{
    display: flex;
    justify-content: start;
    gap: 15px;
    align-items: center;
    background-color: #1D1D2F;
    border-radius: 8px;
    padding: 12px;
    color: #f8f8f8;
    border: 2px solid #EC9776;
    flex-basis: 18em;
}
.whitelist-thumb.red_minting img, .whitelist-thumb.green_minting img, .whitelist-thumb.orange_minting img{
    opacity: 1;
}
.whitelist-thumb:hover{
    display: flex;
    justify-content: start;
    gap: 15px;
    align-items: center;
    background-color: #1D1D2F;
    border-radius: 8px;
    padding: 12px;
    color: #f8f8f8;
    border: 2px solid #EC9776;
    flex-basis: 18em;
    cursor: pointer;
}
.whitelist-thumb:hover img{
    opacity: 1;
}
.whitelist-t{
    margin-bottom: 25px;
}
.whitelist-t h5{
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 0;
}
.whitelist-t span{
    font-style: italic;
    font-size: 12px;
}

.white-modal-input{
    background-color: #373049;
    border: none;
    border-radius: 8px;
    padding: 15px 15px;
    font-size: 14px;
    /* height: 50px; */
    color: #fff;
    width: 100%;

    background-color: #373049;
    border: none;
    border-radius: 5px;
    padding: 12px 15px;
    font-size: 14px;
    color: #fff;
    width: 100%;
}
.text-field{
    margin-top: 20px;
}
.select-field{
    margin-top: 10px;
    margin-bottom: 20px;
}
.select-field .form-check {
    display: flex;
    gap: 44px;
    min-height: 1.5rem;
    padding-left: 1.5em;
    margin-bottom: 0.125rem;
}
.select-field .form-check-input:checked {
    background-color: transparent !important;
    border-color: #fff !important;
}
.select-field .form-check-input {
    background-color: transparent;
    border: 2px solid #fff;
}

.white-form-wrapper{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 10px 20px;
    background-color: #7070702b;
    border-radius: 8px;
    margin-bottom: 10px;
}
.white-form-wrapper .modal-content label {
    color: #D9D9FF;
    height: 22px;
    font-weight: 500;
}
.white-form-wrapper .switcher{
    display: flex;
    gap: 5px;
    height: 20px;
    align-items: center;
}
.white-form-field{
    margin-bottom: 10px;
}
.white-form-wrapper label {
    color: #D9D9FF;
    font-weight: 500;
    font-size: 12px;
}
.white-form-wrapper .form-check-input:checked {
    /* border-color: #ff653e; */
    border-radius: 10px;
    /* background: linear-gradient(267deg, rgba(255,101,62,1) 0%, rgba(237,176,59,1) 94%) !important; */
    background-color: transparent;
}
.white-form-wrapper .form-check-input {
    border-radius: 10px !important;
    border: 2px solid #fff;
    background-color: #fff0;
}
.white-form-wrapper .switcher label input:checked + span {
    background-color: #03E93A;
    border: none;
    width: 43px;
    height: 18px;
}
.white-form-wrapper .switcher label input + span small{
    background: #ffffff;
    width: 14px !important;
    height: 14px !important;
    top: 2px !important;
}
.white-form-wrapper .switcher label input + span {
    position: relative;
    display: inline-block;
    width: 43px;
    height: 18px;
    background-color: #1e6e39;
    border: none;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.bg-stat-1{
    background: linear-gradient(139deg, rgba(56,30,186,1) 0%, rgba(139,117,252,1) 97%) !important;
}
.bg-stat-2{
    background: linear-gradient(119deg, rgba(60,105,255,1) 0%, rgba(0,187,255,1) 73%) !important;
}
.bg-stat-3{
    background: linear-gradient(119deg, rgba(255,145,0,1) 0%, rgba(230,0,255,1) 73%) !important;
}
.bg-stat-4{
    background: linear-gradient(119deg, rgba(12,117,196,1) 0%, rgba(65,224,255,1) 73%) !important;
}
.white-social .stats-head{
    display: flex;
    align-items: center;
    gap: 5px;
}
.white-social .stats-head img{
    width: 18px;
    margin-right: 4px;
}
.white-social .stats {
    border-radius: 7px;
    padding: 3px 10px;
    font-size: 12px;
    color: #fff;
    display: flex;
    justify-content: center;
}
.white-social{
    margin-bottom: 20px;
}
.white-form-field-2

.white-form-field-2 .white-form-wrapper label {
    color: #D9D9FF;
    font-weight: 500;
    font-size: 10px;
}
.white-form-field-2 .white-form-wrapper .form-check-input:checked {
    border-color: #fff;
    border-radius: 10px;

}
.white-form-field-2 .white-form-wrapper .form-check-input {
    border-radius: 10px !important;
    border: 2px solid #fff;
    background-color: #fff0 !important;
}
.botm-field{
    margin-top: 15px;
    /* margin-bottom: 20px; */
}
.drop-field .f-control{
    padding: 8px 15px;
    height: auto !important;
    background-color: #373049;
    border: none;
    border-radius: 5px;
    padding: 15px 15px;
    font-size: 14px;
    color: #fff;
    width: 100%;
}
.tag-box{
    padding: 5px 15px;
    background-color: #241d2e;
    border: 2px solid #31293C;
    display: flex;
    color: #fff;
    align-items: center;
    gap: 10px;
    border-radius: 5px;

}
.tag-box i{
    color: #EDB03B;
}
.add-tagg{
    padding: 15px;
}
.add-tagg i{
    color: #EDB03B;
}
.tags{
    display: flex;
    align-items: center;
    gap: 10px;
}

.drop-field a{
    color: #4585ff;
    font-weight: 600;
}

.toggle-btn{
    margin-top: 15px;
    display: flex;
    justify-content: space-between;
    font-size: 12px;
}

.toggle-btn .switcher label input:checked + span {
    background-color: #03E93A;
    border: none;
    width: 43px;
    height: 18px;
}
.toggle-btn .switcher label input + span small{
    background: #ffffff;
    width: 14px !important;
    height: 14px !important;
    top: 2px !important;
}
.toggle-btn .switcher label input + span {
    position: relative;
    display: inline-block;
    width: 43px;
    height: 18px;
    background-color: #1e6e39;
    border: none;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.remove-ser{
    color: #fff;
    display: flex;
    align-items: center;
    gap: 5px;
}
.remove-ser div {
    background-color: red;
    width: 23px;
    text-align: center;
    line-height: 2;
    border-radius: 17px;
    height: 23px;
}
.toggle-btn .switcher {
    display: flex;
    gap: 5px;
}
.whitelist-md .label{
    font-weight: 500;
    font-size: 14px;
    color: #D9D9FF !important;
}

.table-responsive .user-title{
    color: #F5C1FF;
    font-size: 14px;
    font-weight: 600;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.table-responsive{
    color: #fff;

}
.white-copyicon{
    cursor: pointer;
}
.whitlist-table .social-icon a {
    color: #FFE1D5;
    text-decoration: none;
    font-size: 13px;
    margin-right: 0px;
}

.whitlist-table .social-icon  {
    /* display: flex;
    justify-content: right; */
}
.whitlist-table .dataTables_filter{
    margin-bottom: 25px !important;
}
.whitlist-table .created_btn {
    padding: 6px 18px;
    font-size: 12px;
    font-weight: 500;
}
.dataTables_wrapper .dataTables_filter input{
    background: 0 0!important;
    border: 2px solid #51495c!important;
    border-radius: 10px!important;
    color: #fff;
    width: 220px;
    height: 39px !important;
    padding-left: 40px !important;
}
.dataTables_wrapper .dataTables_filter input:focus-visible{
    outline: 0 !important;
}
.dataTables_wrapper .dataTables_length select {
    border: none !important;
    border-radius: 3px;
    background-color: #e9b293 !important;
    /* padding: 10px; */
    margin: 0 15px;
}

.whitelist-md .open-question-custom{
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}
.social-drop-down{
    background-color: rgb(41 35 46);
    position: absolute;
    inset: 0px auto auto 0px;
    border: none;
    margin: 0px;
    padding: 0 4px;
    transform: translate(-12px, 45px) !important;
}
.social-drop-down .dropdown-item:focus, .social-drop-down .dropdown-item:hover {
    background-color: #48424f;
    /* margin: 2px 0 !important; */
}
.social-drop-down .dropdown-item {
    color: rgb(255, 255, 255) !important;
    padding: 2px 10px !important;
    margin: 0 0 5px 0 !important;
    background-color: #342e39;
    font-size: 14px !important;
}
#add-custom-fields-btn{
    padding: 6px 10px;
    background-color: #362e48;
    border-radius: 5px;
    position: absolute;
    right: 20px;
    top: -15px;
}
.question-main-div{
    position: relative;
}
.tooltip-info i{
    background-color: red;
    width: 14px;
    font-size: 8px;
    color: #fff;
    text-align: center;
    line-height: 2;
    border-radius: 17px;
    height: 14px;
}

.tooltip-info {
    align-items: center;
    display: flex;
    gap: 5px;
    color: #D9D9FF;
    cursor: pointer;
    font-weight: 500;
}
.custom-control-label{
    cursor: pointer !important;
}
.required_remove{
    cursor: pointer;
}
.whitelist-md ul.select2-choices {
    background: #362e48cc !important;
    border: 1px solid #433b55 !important;
    padding: 10px 7px;
}
.whitelist-md ul.select2-choices li.select2-search-choice {
    background: #564b6c !important;
    border: 0;
    color: #fff;
    border-radius: 4px;
    font-size: 13px;
    box-shadow: none;
    padding: 5px 5px 5px 24px;
}
.select2-search-choice-close{
/* background-color: red !important; */
left: 6px !important;
border-radius: 3px;
}
.whitelist-md .select2-container{
    display: block;
}

.whitelist-md  .custom-control .form-check-input{
    border-radius: 10px !important;
    border: 2px solid #ff653e;
    background-color: #fff0 !important;
}

.whitelist-md  .custom-control  .form-check-input:checked {
    border-color: #ff653e;
    border-radius: 10px;
}

.whitelist-md .modal-xl {
    max-width: 1280px !important;
}
span.approved {
    background: #00FF39;
}
.approved {
    color: #00FF39;
}
.pending_color {
    color: #FFB901;
}
span.pending_color {
    background: #FFB901;
}
/* Whitelist Update Screen */
.wrapper-login{
    padding: 2.5rem;
}

.whitelist-update-screen{
    background-color: #3e3f6b !important;
    border-radius: 5px !important;
}
.loginscreens-bg{
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}
.whitelist-update-screen .pro-image {
    width: 100%;
    border-radius: 5px;
    max-height: 225px;
    overflow: hidden;
    position: relative;
}
.proposal-create label{
    font-weight: 500 !important;
    font-size: 15px !important;
}
.whitelist-update-screen .pro-image img {
    /* height: 100%; */
    width: 100%;
}
.whitelist-update-screen .pro-title img {
    width: 8rem;
    height: 8rem;
    border: 2px solid #99c644;
    background-color: #fff;
    border-radius: 5px;
    margin-bottom: 20px;
    padding: 5px 10px;
}
.footer {
    font-family: system-ui;
    font-size: 15px !important;
}
.whitelist-update-screen .pro-title {
    text-align: center;
    position: absolute;
    bottom: 0;
    z-index: 9;
    width: 100%;
}
.whitelist-update-screen .pro-title h4{
    font-size: 20px;
    font-weight: 600;
    color: #fff;
    font-family: system-ui !important;
    margin-bottom: 0px;
}
.whitelist-update-screen .pro-title p{
    line-height: 1.4;
    font-weight: 300;
    margin-bottom: 0;
    color: #fff;
    font-size: 13px;
}
.whitelist-update-screen .pro-image::after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background: linear-gradient(0deg, #3e3f6b 15%, rgb(23 21 37 / 0%) 100%);
    bottom: 0;
    left: 0;
}

.login-scroll {
    max-height: 320px;
    overflow-y: auto;
}
.login-scroll-2{
    max-height: 320px;
    overflow-y: auto;
}
.login-scroll-2 .text-field{
    background: #575186 !important;
}
.login-social-item{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin-top: 4px;
}
.login-social-item p{
    margin-bottom: 0;
    font-size: 14px;
}
.login-social-item .thumb{
    background-color: #6899ee;
    border-radius: 50px;
    width: 47px;
    height: 47px;
    text-align: center;
    line-height: 3;
    border: 2px solid #413767;
    z-index: 1;
}
.login-social-item .head{
    display: flex;
    align-items: center;
    position: relative;
    min-width: 150px;
}
.login-social-count{
    color: #fff;
    background-color: #6899ee;
    padding: 5px 12px 5px 19px;
    border-radius: 5px;
    font-size: 14px;
    position: absolute;
    left: 38px;
}

.login-social-item .btn{
    /* background: #1E9DEA; */
    padding: 6px 10px;
    text-align: center;
    font-size: 12px;
    display: block;
    border-radius: 4px;
    color: #ffffff;
}
.wallet-table-icon{
    cursor: pointer;
    font-size:15px;
}

.whitelist-update-screen .text-field{
    margin: 0 !important;
}

.whitelist-update-screen .form-group{
    margin: 0 !important;
}
span.social_click_circle {
    width: 50px;
    height: 50px;
    display: block;
    float: left;
    border-radius: 100px;
    text-align: center;
    padding: 0px;
    line-height: 55px;
}

.login-scroll select.form-control option {
    background: #575186;
    color: #fff;
}
label span.text-danger {
    display: none;
}
/* Thanks Screen */

.thanks-screen{
    background-color: rgba(37, 25, 48, 0.85);
    border-radius: 10px !important;
    border: 1px solid #ffe1d51f;
    margin-top: 4em;
    color: #fff;
    padding: 30px;
}
.thankyouinner{
    text-align: center;
    padding-bottom: 20px;
}
.thankyouinner h2{
    color: #F5C1FF !important;
}
.thankyouinner h3{
    font-size: 20px;
    font-weight: 600;
}

@media screen and (min-width: 2040px ) {
    .whitlist-contract, .whitlist-setting {

        /* height: 72vh; */
    }
}
@media screen and (min-width:2560px) {
    .whitlist-contract .form-section button{
        font-size: 20px;
    }
}
@media screen and (min-width: 2700px ) {
    .whitlist-contract, .whitlist-setting {

        /* height: 80vh; */
    }
    .table-responsive .user-title {
        font-size: 20px;
    }
    .whitlist-table .social-icon a {
        margin-right: 15px;
    }
}
@media screen and (min-width: 3400px){
    .whitlist-contract, .whitlist-setting {
        height: 83vh;
    }
}
@media screen and (max-width: 1400px){
    #contract-form .h6, h6 {
        font-size: 0.8rem;
    }
}
@media screen and (max-width: 1300px){
       #contract-form .h6, h6 {
            font-size: 0.8rem;
        }
        .whitlist-setting .control-thumb img{
            width: 50px;
            height: 50px;
            padding: 9px;
            border-radius: 10px;
        }
        .whitlist-setting .control-box{
            padding: 17px 10px;
        }
        .control-box .form-section button.btn {
            padding: 0px 5px;
            height: 100% !important;
    }
        #white-list-table .div.switcher label input + span{
            width: 30px !important;
            height: 15px !important;
        }
        .whitelist-md .modal-xl {
            max-width: 850px !important;
        }
        .createwhite_list .col-lg-6 {
            width: 50%;
            padding: 0px;
        }
        .whitelist-md h5.modal-title {
            font-size: 14px !important;
        }
        .createwhite_list .question-main-div {
            padding-left: 13px;
        }
        .createwhite_list .question-main-div a#add-custom-fields-btn {
            padding: 3px 5px 3px 5px;
            font-size: 12px;
            border-radius: 4px;
        }
        .createwhite_list label {
            font-size: 12px;
        }
        .whitelist-md button.btn-close {
            padding: 6px !important;
            font-size: 12px;
        }
        .createwhite_list .white-form-wrapper {
            padding: 3px 9px 3px 9px;
            width: 94%;
        }
        .createwhite_list .white-form-wrapper .form-check-label {
            font-size: 10px;
        }
        .white-social .col-lg-3 {
            width: 25%;
        }
        .white-social .col-lg-3 .stats {
            padding: 0px;
        }
        .u-btn{
            font-size:10px;
        }
        .createwhite_list .required_form_div, .createwhite_list .white-form-field-2, .createwhite_list .botm-field {
            padding: 0 0 0 12px;
        }
        .createwhite_list .botm-field .col-lg-6 {
            padding: 0 10px 0 0px;
        }
        .social-drop-down.show {
            transform: inherit !important;
            top: 26px !important;
        }
        .social-drop-down .dropdown-item{
            font-size: 10px !important;
        }
        .createwhite_list .main-question-open .form-control{
            height: 34px !important;
        }
        .createwhite_list .remove-question-inner, .createwhite_list .answer_where {
            font-size: 10px;
        }
        .whitelist-md ul.select2-choices{
            padding: 0px 0px !important;
        }
        .select2-container-multi .select2-choices .select2-search-field input{
            font-size: 65% !important;
        }
        span.numbers {
            font-size: 14px;
        }
        .numbers .h6 {
            font-size: 10px;
        }

}
@media screen and (max-width: 1024px){
    .whitlist .form-section{
        margin-bottom: 14px;
    }
    #contract-form.mt-4{
        margin-top:0px !important;
    }
    .abi.mt-4 {
        margin-top: 0px !important;
    }
    button#contract-form-submit {
        margin-bottom: -1% !important;
        width: 16% !important;
        display: flex;
        align-items: center;
    }
    .vertical-tabs .sidbarcolor{
        font-size: 12px;
    }
    .whitlist-contract .col-md-6{
        margin-bottom:3%;
    }
    .owner_whitelist {
        margin-bottom: 3%;
    }


}
@media screen and (max-width: 1700px) {
    .whitelist-thumb {
        font-size: 12px;
    }
    .whitelist-thumb img {
        width: 28px;
    }
}

